import axios from 'axios';
// -------------------江河--水功能数据统计列表-----------------------
// const autonomyWaterFunctionTotalUrl = '/waterFunctionArea/riverStatic/autoPage';
const nationalWaterFunctionTotalUrl = '/waterFunctionArea/riverStatic/nationalPage';
//国家级水功能统计
const listNationalWaterFunctionTotal = function (data) {
    return axios.post("/waterFunctionArea/riverStatic/nationalPage",data)
}
// /自治区水功能统计
const listAutonomyWaterFunctionTotal = function (data) {
    return axios.post("/waterFunctionArea/riverStatic/autoPage",data)
}


// -------------------江河--水站数据统计列表--------------
//水站同比环比统计
const listWaterSiteYoy = function (data) {
    return axios.post("/waterFunctionArea/riverStatic/waterSiteYoy",data)
}
// 水站日均值统计
const listWaterSiteMonthTotal = function (data) {
    return axios.post("/waterFunctionArea/riverStatic/waterSiteMonthTotal",data)
}
//单月水质达标统计
const listMonthWaterQualitySandard = function (data) {
    return axios.post("/waterFunctionArea/riverStatic/monthWaterQualitySandard",data)
}

//平均水质达标统计
const listAvgWaterQualitySandard = function (data) {
    return axios.post("/waterFunctionArea/riverStatic/avgWaterQualitySandard",data)
}

//单月水质综合指数统计
const listMonthCompositeIndex = function (data) {
    return axios.post("/waterFunctionArea/riverStatic/monthCompositeIndex",data)
}

//单月水质综合指数统计
const listAvgCompositeIndex = function (data) {
    return axios.post("/waterFunctionArea/riverStatic/avgCompositeIndex",data)
}

//单月水质综合指数统计
const listAutoStandard = function (data) {
    return axios.post("/waterFunctionArea/riverStatic/autoStandard",data)
}

const listNationalStandard = function (data) {
    return axios.post("/waterFunctionArea/riverStatic/nationalStandard",data)
}


const listAutoYoy = function (data) {
    return axios.post("/waterFunctionArea/riverStatic/autoYoy",data)
}

const listNationalYoy = function (data) {
    return axios.post("/waterFunctionArea/riverStatic/nationalYoy",data)
}


const listTargetInfo = function () {
    return axios.get("/waterFunctionArea/riverWaterEvaluationStandard",{})
}
export {
    // autonomyWaterFunctionTotalUrl,
    nationalWaterFunctionTotalUrl,
    listNationalWaterFunctionTotal,
    listAutonomyWaterFunctionTotal,
    listWaterSiteYoy,
    listWaterSiteMonthTotal,
    listMonthWaterQualitySandard,
    listMonthCompositeIndex,
    listTargetInfo,
    listAvgCompositeIndex,
    listAvgWaterQualitySandard,
    listAutoStandard,
    listNationalStandard,
    listAutoYoy,
    listNationalYoy
}
